Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IInteractionUse

    com.change_vision.jude.api.inf.model.IInteractionUse

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, IInteractionFragment, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, IInteractionFragment, INamedElement

    public IInteractionUse

extends IInteractionFragment

Interface for Interaction uses.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getArgument()` Get Argument.
`abstract ILifeline` | `getContainer()` Get parent Lifeline.
`abstract ILifeline[]` | `getContainers()` Get all parent Lifelines.
`abstract IGate[]` | `getGates()` Get Gates.
`abstract ILifeline[]` | `getLifelines()` Get Lifelines.
`abstract ISequenceDiagram` | `getSequenceDiagram()` Get Sequence diagram.
`abstract void` | `setArgment(String argment)` Set Argument
`abstract void` | `setSequenceDiagram(ISequenceDiagram diagram)` Set sequence diagram refers to.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSequenceDiagram

    abstract ISequenceDiagram getSequenceDiagram()

  Get Sequence diagram.

  Returns:
    Sequence diagram.

### getArgument

    abstract String getArgument()

  Get Argument.

  Returns:
    Argument.

### getGates

    abstract IGate[] getGates()

  Get Gates.

  Returns:
    Gates.

### getLifelines

    abstract ILifeline[] getLifelines()

  Get Lifelines.

  Returns:
    Lifelines.

### getContainer

    abstract ILifeline getContainer()

  Get parent Lifeline.

  Returns:
    Lifelines.

### getContainers

    abstract ILifeline[] getContainers()

  Get all parent Lifelines.

  Returns:
    Lifelines.

### setArgment

    abstract void setArgment(String argment)

  Set Argument

  Parameters:
    `argument` - Argument
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                PARAMETER_ERROR_KEY - if a parameter is not set properly.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.6.4

### setSequenceDiagram

    abstract void setSequenceDiagram(ISequenceDiagram diagram)

  Set sequence diagram refers to.

  Parameters:
    `diagram` - sequence diagram refers to
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                SAME_DIAGRAM_ERROR_KEY - if a InteractionUse is created in the same diagram.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD